Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPierre Habouzit <madcoder@debian.org>2007-11-08 12:32:11 +0300
committerJunio C Hamano <gitster@pobox.com>2007-11-08 12:49:01 +0300
commite817e3e8579742312534f20c0946cd3c562cfa7c (patch)
tree7b2beac11eedeb6216ca8667ffd654d1fd1d0173 /git-sh-setup.sh
parentcbea86fd149f5d4aabdff06f87bc766d414b160e (diff)
sh-setup: don't let eval output to be shell-expanded.
The previous patch missed the same construct in git-clone. Signed-off-by: Pierre Habouzit <madcoder@debian.org>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index f1c4839a9f..5aa62dda15 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -21,12 +21,15 @@ if test -n "$OPTIONS_SPEC"; then
exec "$0" -h
}
- [ -n "$OPTIONS_KEEPDASHDASH" ] && parseopt_extra="--keep-dashdash"
- parsed=$(
+ parseopt_extra=
+ [ -n "$OPTIONS_KEEPDASHDASH" ] &&
+ parseopt_extra="--keep-dashdash"
+
+ eval "$(
echo "$OPTIONS_SPEC" |
- git rev-parse --parseopt $parseopt_extra -- "$@"
- ) &&
- eval "$parsed" || exit
+ git rev-parse --parseopt $parseopt_extra -- "$@" ||
+ echo exit $?
+ )"
else
usage() {
die "Usage: $0 $USAGE"